<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bootstrap 5 Registration Form Example</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
</head>

<body>
<div class="container-fluid vh-100" style="margin-top:300px">
    <div class="" style="margin-top:200px">
        <div class="rounded d-flex justify-content-center">
            <div class="col-md-4 col-sm-12 shadow-lg p-5 bg-light">
                <div class="text-center">
                    <h3 class="text-primary">Create Account</h3>
                </div>
                <div class="p-4">
                    <form action="/register" method="post" th:object="${userRegisterBinding}">
                        <h3 th:if="${correctInfoDetails == false}" class="mt-5 text-center">
                            <strong class="bg-blur rounded text-danger">
                                Please enter correct account details!
                            </strong>
                        </h3>
                        <h3 th:if="${registeredSuccessfully == false}" class="mt-5 text-center">
                            <strong class="bg-blur rounded text-success">
                                You have been registered successfully.
                            </strong>
                        </h3>
                        <h3 th:if="${userExists == false}" class="mt-5 text-center">
                            <strong class="bg-blur rounded text-success">
                                Such an user already exists.
                            </strong>
                        </h3>
                        <div class="input-group mb-3">
                                    <span class="input-group-text bg-primary"><i
                                            class="bi bi-person-plus-fill text-white"></i></span>
                            <input type="text" name="username" class="form-control" placeholder="Username">
                        </div>
                        <div class="input-group mb-3">
                                    <span class="input-group-text bg-primary"><i
                                            class="bi bi-envelope text-white"></i></span>
                            <input th:field="*{email}" th:errorclass="bg-warning" type="email" name="email" class="form-control" placeholder="Email">
                            <small th:if="${#fields.hasErrors('email')}" th:errors="*{email}" class="text-danger">error</small>

                        </div>
                        <div class="input-group mb-3">
                                    <span class="input-group-text bg-primary"><i
                                            class="bi bi-key-fill text-white"></i></span>
                            <input type="password" name="password" class="form-control" placeholder="password">
                        </div>
                        <div class="d-grid col-12 mx-auto">
                            <button class="btn btn-primary" type="submit"><span></span> Sign up</button>
                        </div>
                        <p class="text-center mt-3">Already have an account?
                            <span class="text-primary">Sign in</span>
                        </p>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>